## PkUpdateDetail PkUpdateDetail — UpdateDetail object |

## Functions

PkUpdateDetail * | pk_update_detail_new ()
const gchar * | pk_update_detail_get_package_id ()
gchar ** | pk_update_detail_get_updates ()
gchar ** | pk_update_detail_get_obsoletes ()
gchar ** | pk_update_detail_get_vendor_urls ()
gchar ** | pk_update_detail_get_bugzilla_urls ()
gchar ** | pk_update_detail_get_cve_urls ()
PkRestartEnum | pk_update_detail_get_restart ()
const gchar * | pk_update_detail_get_update_text ()
const gchar * | pk_update_detail_get_changelog ()
PkUpdateStateEnum | pk_update_detail_get_state ()
const gchar * | pk_update_detail_get_issued ()
const gchar * | pk_update_detail_get_updated ()

## Properties

GStrv | bugzilla-urls | Read / Write
gchar * | changelog | Read / Write
GStrv | cve-urls | Read / Write
gchar * | issued | Read / Write
GStrv | obsoletes | Read / Write
gchar * | package-id | Read / Write
PkRestartEnum | restart | Read / Write
PkUpdateStateEnum | state | Read / Write
gchar * | update-text | Read / Write
gchar * | updated | Read / Write
GStrv | updates | Read / Write
GStrv | vendor-urls | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkUpdateDetail

## Description

This GObject represents a update_detail from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_update_detail_new ()

    PkUpdateDetail *
    pk_update_detail_new (void);

#### Returns

a new PkUpdateDetail object.

Since: 0.5.4

### pk_update_detail_get_package_id ()

    const gchar *
    pk_update_detail_get_package_id (PkUpdateDetail *update_detail);

Gets the update detail package ID.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values

Since: 0.8.8

### pk_update_detail_get_updates ()

    gchar **
    pk_update_detail_get_updates (PkUpdateDetail *update_detail);

Gets the update detail updates IDs.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values.

[transfer none]

Since: 0.8.8

### pk_update_detail_get_obsoletes ()

    gchar **
    pk_update_detail_get_obsoletes (PkUpdateDetail *update_detail);

Gets the update detail obsoletes IDs.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values.

[transfer none]

Since: 0.8.8

### pk_update_detail_get_vendor_urls ()

    gchar **
    pk_update_detail_get_vendor_urls (PkUpdateDetail *update_detail);

Gets the update detail vendor URLs.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values.

[transfer none]

Since: 0.8.8

### pk_update_detail_get_bugzilla_urls ()

    gchar **
    pk_update_detail_get_bugzilla_urls (PkUpdateDetail *update_detail);

Gets the update detail bugzilla URLs.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values.

[transfer none]

Since: 0.8.8

### pk_update_detail_get_cve_urls ()

    gchar **
    pk_update_detail_get_cve_urls (PkUpdateDetail *update_detail);

Gets the update detail CVE URLs.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values.

[transfer none]

Since: 0.8.8

### pk_update_detail_get_restart ()

    PkRestartEnum
    pk_update_detail_get_restart (PkUpdateDetail *update_detail);

Gets the update detail restart kind.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

enum values

Since: 0.8.8

### pk_update_detail_get_update_text ()

    const gchar *
    pk_update_detail_get_update_text (PkUpdateDetail *update_detail);

Gets the update detail update text.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values

Since: 0.8.8

### pk_update_detail_get_changelog ()

    const gchar *
    pk_update_detail_get_changelog (PkUpdateDetail *update_detail);

Gets the update detail changelog.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values

Since: 0.8.8

### pk_update_detail_get_state ()

    PkUpdateStateEnum
    pk_update_detail_get_state (PkUpdateDetail *update_detail);

Gets the update detail state.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

enum value

Since: 0.8.8

### pk_update_detail_get_issued ()

    const gchar *
    pk_update_detail_get_issued (PkUpdateDetail *update_detail);

Gets the update detail issued string.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values

Since: 0.8.8

### pk_update_detail_get_updated ()

    const gchar *
    pk_update_detail_get_updated (PkUpdateDetail *update_detail);

Gets the update detail updated string.

#### Parameters

update_detail | a PkUpdateDetail instance |

#### Returns

string values

Since: 0.8.8

## Types and Values

## Property Details

### The `“bugzilla-urls”` property

      “bugzilla-urls”            GStrv

Flags: Read / Write

Since: 0.8.1

### The `“changelog”` property

      “changelog”                gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“cve-urls”` property

      “cve-urls”                 GStrv

Flags: Read / Write

Since: 0.8.1

### The `“issued”` property

      “issued”                   gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“obsoletes”` property

      “obsoletes”                GStrv

Flags: Read / Write

Since: 0.8.1

### The `“package-id”` property

      “package-id”               gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“restart”` property

      “restart”                  PkRestartEnum

Flags: Read / Write

Default value: PK_RESTART_ENUM_UNKNOWN

Since: 0.5.4

### The `“state”` property

      “state”                    PkUpdateStateEnum

Flags: Read / Write

Default value: PK_UPDATE_STATE_ENUM_UNKNOWN

Since: 0.5.4

### The `“update-text”` property

      “update-text”              gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“updated”` property

      “updated”                  gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“updates”` property

      “updates”                  GStrv

Flags: Read / Write

Since: 0.8.1

### The `“vendor-urls”` property

      “vendor-urls”              GStrv

Flags: Read / Write

Since: 0.8.1